StarLanguage Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions | Variables
StarLanguage Namespace Reference

namespace convert language id in international iso More...

## Classes
struct | IdIsoLanguageEntry
class | IdIsoLanguageMap

## Enumerations
enum | Language { LANGUAGE_DONTKNOW =0x03FF, LANGUAGE_NONE =0x00FF, LANGUAGE_SYSTEM =0x0000, LANGUAGE_AFRIKAANS =0x0436, LANGUAGE_ALBANIAN =0x041C, LANGUAGE_ARABIC =0x0001, LANGUAGE_ARABIC_SAUDI_ARABIA =0x0401, LANGUAGE_ARABIC_IRAQ =0x0801, LANGUAGE_ARABIC_EGYPT =0x0C01, LANGUAGE_ARABIC_LIBYA =0x1001, LANGUAGE_ARABIC_ALGERIA =0x1401, LANGUAGE_ARABIC_MOROCCO =0x1801, LANGUAGE_ARABIC_TUNISIA =0x1C01, LANGUAGE_ARABIC_OMAN =0x2001, LANGUAGE_ARABIC_YEMEN =0x2401, LANGUAGE_ARABIC_SYRIA =0x2801, LANGUAGE_ARABIC_JORDAN =0x2C01, LANGUAGE_ARABIC_LEBANON =0x3001, LANGUAGE_ARABIC_KUWAIT =0x3401, LANGUAGE_ARABIC_UAE =0x3801, LANGUAGE_ARABIC_BAHRAIN =0x3C01, LANGUAGE_ARABIC_QATAR =0x4001, LANGUAGE_ARMENIAN =0x042B, LANGUAGE_ASSAMESE =0x044D, LANGUAGE_AZERI =0x002C, LANGUAGE_AZERI_LATIN =0x042C, LANGUAGE_AZERI_CYRILLIC =0x082C, LANGUAGE_BASQUE =0x042D, LANGUAGE_BELARUSIAN =0x0423, LANGUAGE_BENGALI =0x0445, LANGUAGE_BULGARIAN =0x0402, LANGUAGE_BURMESE =0x0455, LANGUAGE_CATALAN =0x0403, LANGUAGE_CHINESE =0x0004, LANGUAGE_CHINESE_TRADITIONAL =0x0404, LANGUAGE_CHINESE_SIMPLIFIED =0x0804, LANGUAGE_CHINESE_HONGKONG =0x0C04, LANGUAGE_CHINESE_SINGAPORE =0x1004, LANGUAGE_CHINESE_MACAU =0x1404, LANGUAGE_CZECH =0x0405, LANGUAGE_DANISH =0x0406, LANGUAGE_DUTCH =0x0413, LANGUAGE_DUTCH_BELGIAN =0x0813, LANGUAGE_ENGLISH =0x0009, LANGUAGE_ENGLISH_US =0x0409, LANGUAGE_ENGLISH_UK =0x0809, LANGUAGE_ENGLISH_AUS =0x0C09, LANGUAGE_ENGLISH_CAN =0x1009, LANGUAGE_ENGLISH_NZ =0x1409, LANGUAGE_ENGLISH_EIRE =0x1809, LANGUAGE_ENGLISH_SAFRICA =0x1C09, LANGUAGE_ENGLISH_JAMAICA =0x2009, LANGUAGE_ENGLISH_CARRIBEAN =0x2409, LANGUAGE_ENGLISH_BELIZE =0x2809, LANGUAGE_ENGLISH_TRINIDAD =0x2C09, LANGUAGE_ENGLISH_ZIMBABWE =0x3009, LANGUAGE_ENGLISH_PHILIPPINES =0x3409, LANGUAGE_ESTONIAN =0x0425, LANGUAGE_FAEROESE =0x0438, LANGUAGE_FARSI =0x0429, LANGUAGE_FINNISH =0x040B, LANGUAGE_FRENCH =0x040C, LANGUAGE_FRENCH_BELGIAN =0x080C, LANGUAGE_FRENCH_CANADIAN =0x0C0C, LANGUAGE_FRENCH_SWISS =0x100C, LANGUAGE_FRENCH_LUXEMBOURG =0x140C, LANGUAGE_FRENCH_MONACO =0x180C, LANGUAGE_FRENCH_WEST_INDIES =0x1C0C, LANGUAGE_FRENCH_REUNION =0x200C, LANGUAGE_FRENCH_ZAIRE =0x240C, LANGUAGE_FRENCH_SENEGAL =0x280C, LANGUAGE_FRENCH_CAMEROON =0x2C0C, LANGUAGE_FRENCH_COTE_D_IVOIRE =0x300C, LANGUAGE_FRENCH_MALI =0x340C, LANGUAGE_FRISIAN_NETHERLANDS =0x0462, LANGUAGE_GAELIC_SCOTLAND =0x043C, LANGUAGE_GAELIC_IRELAND =0x083C, LANGUAGE_GALICIAN =0x0456, LANGUAGE_GEORGIAN =0x0437, LANGUAGE_GERMAN =0x0407, LANGUAGE_GERMAN_SWISS =0x0807, LANGUAGE_GERMAN_AUSTRIAN =0x0C07, LANGUAGE_GERMAN_LUXEMBOURG =0x1007, LANGUAGE_GERMAN_LIECHTENSTEIN =0x1407, LANGUAGE_GREEK =0x0408, LANGUAGE_GUJARATI =0x0447, LANGUAGE_HEBREW =0x040D, LANGUAGE_HINDI =0x0439, LANGUAGE_HUNGARIAN =0x040E, LANGUAGE_ICELANDIC =0x040F, LANGUAGE_INDONESIAN =0x0421, LANGUAGE_ITALIAN =0x0410, LANGUAGE_ITALIAN_SWISS =0x0810, LANGUAGE_JAPANESE =0x0411, LANGUAGE_KANNADA =0x044B, LANGUAGE_KASHMIRI =0x0460, LANGUAGE_KASHMIRI_INDIA =0x0860, LANGUAGE_KAZAK =0x043F, LANGUAGE_KHMER =0x0453, LANGUAGE_KIRGHIZ =0x0440, LANGUAGE_KONKANI =0x0457, LANGUAGE_KOREAN =0x0412, LANGUAGE_KOREAN_JOHAB =0x0812, LANGUAGE_LAO =0x0454, LANGUAGE_LATVIAN =0x0426, LANGUAGE_LITHUANIAN =0x0427, LANGUAGE_LITHUANIAN_CLASSIC =0x0827, LANGUAGE_MACEDONIAN =0x042F, LANGUAGE_MALAY =0x003E, LANGUAGE_MALAY_MALAYSIA =0x043E, LANGUAGE_MALAY_BRUNEI_DARUSSALAM =0x083E, LANGUAGE_MALAYALAM =0x044C, LANGUAGE_MALTESE =0x043A, LANGUAGE_MANIPURI =0x0458, LANGUAGE_MARATHI =0x044E, LANGUAGE_MONGOLIAN =0x0450, LANGUAGE_NEPALI =0x0461, LANGUAGE_NEPALI_INDIA =0x0861, LANGUAGE_NORWEGIAN =0x0014, LANGUAGE_NORWEGIAN_BOKMAL =0x0414, LANGUAGE_NORWEGIAN_NYNORSK =0x0814, LANGUAGE_SEPEDI =0x046C, LANGUAGE_NORTHERNSOTHO =LANGUAGE_SEPEDI, LANGUAGE_ORIYA =0x0448, LANGUAGE_POLISH =0x0415, LANGUAGE_PORTUGUESE =0x0816, LANGUAGE_PORTUGUESE_BRAZILIAN =0x0416, LANGUAGE_PUNJABI =0x0446, LANGUAGE_RHAETO_ROMAN =0x0417, LANGUAGE_ROMANIAN =0x0418, LANGUAGE_ROMANIAN_MOLDOVA =0x0818, LANGUAGE_RUSSIAN =0x0419, LANGUAGE_RUSSIAN_MOLDOVA =0x0819, LANGUAGE_SAMI_LAPPISH =0x043B, LANGUAGE_SANSKRIT =0x044F, LANGUAGE_SERBIAN =0x001A, LANGUAGE_CROATIAN =0x041A, LANGUAGE_SERBIAN_LATIN =0x081A, LANGUAGE_SERBIAN_CYRILLIC =0x0C1A, LANGUAGE_SESOTHO =0x0430, LANGUAGE_SINDHI =0x0459, LANGUAGE_SLOVAK =0x041B, LANGUAGE_SLOVENIAN =0x0424, LANGUAGE_SORBIAN =0x042E, LANGUAGE_SPANISH =0x040A, LANGUAGE_SPANISH_MEXICAN =0x080A, LANGUAGE_SPANISH_MODERN =0x0C0A, LANGUAGE_SPANISH_GUATEMALA =0x100A, LANGUAGE_SPANISH_COSTARICA =0x140A, LANGUAGE_SPANISH_PANAMA =0x180A, LANGUAGE_SPANISH_DOMINICAN_REPUBLIC =0x1C0A, LANGUAGE_SPANISH_VENEZUELA =0x200A, LANGUAGE_SPANISH_COLOMBIA =0x240A, LANGUAGE_SPANISH_PERU =0x280A, LANGUAGE_SPANISH_ARGENTINA =0x2C0A, LANGUAGE_SPANISH_ECUADOR =0x300A, LANGUAGE_SPANISH_CHILE =0x340A, LANGUAGE_SPANISH_URUGUAY =0x380A, LANGUAGE_SPANISH_PARAGUAY =0x3C0A, LANGUAGE_SPANISH_BOLIVIA =0x400A, LANGUAGE_SPANISH_EL_SALVADOR =0x440A, LANGUAGE_SPANISH_HONDURAS =0x480A, LANGUAGE_SPANISH_NICARAGUA =0x4C0A, LANGUAGE_SPANISH_PUERTO_RICO =0x500A, LANGUAGE_SWAHILI =0x0441, LANGUAGE_SWEDISH =0x041D, LANGUAGE_SWEDISH_FINLAND =0x081D, LANGUAGE_TAJIK =0x0428, LANGUAGE_TAMIL =0x0449, LANGUAGE_TATAR =0x0444, LANGUAGE_TELUGU =0x044A, LANGUAGE_THAI =0x041E, LANGUAGE_TIBETAN =0x0451, LANGUAGE_TSONGA =0x0431, LANGUAGE_TSWANA =0x0432, LANGUAGE_TURKISH =0x041F, LANGUAGE_TURKMEN =0x0442, LANGUAGE_UKRAINIAN =0x0422, LANGUAGE_URDU =0x0020, LANGUAGE_URDU_PAKISTAN =0x0420, LANGUAGE_URDU_INDIA =0x0820, LANGUAGE_UZBEK =0x0043, LANGUAGE_UZBEK_LATIN =0x0443, LANGUAGE_UZBEK_CYRILLIC =0x0843, LANGUAGE_VENDA =0x0433, LANGUAGE_VIETNAMESE =0x042A, LANGUAGE_WELSH =0x0452, LANGUAGE_XHOSA =0x0434, LANGUAGE_ZULU =0x0435, LANGUAGE_USER1 =0x0201, LANGUAGE_USER2 =0x0202, LANGUAGE_USER3 =0x0203, LANGUAGE_USER4 =0x0204, LANGUAGE_USER5 =0x0205, LANGUAGE_USER6 =0x0206, LANGUAGE_USER7 =0x0207, LANGUAGE_USER8 =0x0208, LANGUAGE_USER9 =0x0209, LANGUAGE_SYSTEM_DEFAULT =0x0800, LANGUAGE_PROCESS_OR_USER_DEFAULT =0x0400, LANGUAGE_USER_LATIN =0x0610, LANGUAGE_USER_ESPERANTO =0x0611, LANGUAGE_USER_MAORI =0x0620, LANGUAGE_USER_KINYARWANDA =0x0621 }
| the different language More...

## Functions
bool | getLanguageId (int id, std::string &lang, std::string &country)
| returns the iso639-1 and iso3166 language code More...

## Variables
static IdIsoLanguageEntry const | s_idIsoList []
static IdIsoLanguageMap | s_idLanguageMap

## Detailed Description

namespace convert language id in international iso

## Enumeration Type Documentation

enum StarLanguage::Language

the different language

Enumerator
LANGUAGE_DONTKNOW |
LANGUAGE_NONE |
LANGUAGE_SYSTEM |
LANGUAGE_AFRIKAANS |
LANGUAGE_ALBANIAN |
LANGUAGE_ARABIC |
LANGUAGE_ARABIC_SAUDI_ARABIA |
LANGUAGE_ARABIC_IRAQ |
LANGUAGE_ARABIC_EGYPT |
LANGUAGE_ARABIC_LIBYA |
LANGUAGE_ARABIC_ALGERIA |
LANGUAGE_ARABIC_MOROCCO |
LANGUAGE_ARABIC_TUNISIA |
LANGUAGE_ARABIC_OMAN |
LANGUAGE_ARABIC_YEMEN |
LANGUAGE_ARABIC_SYRIA |
LANGUAGE_ARABIC_JORDAN |
LANGUAGE_ARABIC_LEBANON |
LANGUAGE_ARABIC_KUWAIT |
LANGUAGE_ARABIC_UAE |
LANGUAGE_ARABIC_BAHRAIN |
LANGUAGE_ARABIC_QATAR |
LANGUAGE_ARMENIAN |
LANGUAGE_ASSAMESE |
LANGUAGE_AZERI |
LANGUAGE_AZERI_LATIN |
LANGUAGE_AZERI_CYRILLIC |
LANGUAGE_BASQUE |
LANGUAGE_BELARUSIAN |
LANGUAGE_BENGALI |
LANGUAGE_BULGARIAN |
LANGUAGE_BURMESE |
LANGUAGE_CATALAN |
LANGUAGE_CHINESE |
LANGUAGE_CHINESE_TRADITIONAL |
LANGUAGE_CHINESE_SIMPLIFIED |
LANGUAGE_CHINESE_HONGKONG |
LANGUAGE_CHINESE_SINGAPORE |
LANGUAGE_CHINESE_MACAU |
LANGUAGE_CZECH |
LANGUAGE_DANISH |
LANGUAGE_DUTCH |
LANGUAGE_DUTCH_BELGIAN |
LANGUAGE_ENGLISH |
LANGUAGE_ENGLISH_US |
LANGUAGE_ENGLISH_UK |
LANGUAGE_ENGLISH_AUS |
LANGUAGE_ENGLISH_CAN |
LANGUAGE_ENGLISH_NZ |
LANGUAGE_ENGLISH_EIRE |
LANGUAGE_ENGLISH_SAFRICA |
LANGUAGE_ENGLISH_JAMAICA |
LANGUAGE_ENGLISH_CARRIBEAN |
LANGUAGE_ENGLISH_BELIZE |
LANGUAGE_ENGLISH_TRINIDAD |
LANGUAGE_ENGLISH_ZIMBABWE |
LANGUAGE_ENGLISH_PHILIPPINES |
LANGUAGE_ESTONIAN |
LANGUAGE_FAEROESE |
LANGUAGE_FARSI |
LANGUAGE_FINNISH |
LANGUAGE_FRENCH |
LANGUAGE_FRENCH_BELGIAN |
LANGUAGE_FRENCH_CANADIAN |
LANGUAGE_FRENCH_SWISS |
LANGUAGE_FRENCH_LUXEMBOURG |
LANGUAGE_FRENCH_MONACO |
LANGUAGE_FRENCH_WEST_INDIES |
LANGUAGE_FRENCH_REUNION |
LANGUAGE_FRENCH_ZAIRE |
LANGUAGE_FRENCH_SENEGAL |
LANGUAGE_FRENCH_CAMEROON |
LANGUAGE_FRENCH_COTE_D_IVOIRE |
LANGUAGE_FRENCH_MALI |
LANGUAGE_FRISIAN_NETHERLANDS |
LANGUAGE_GAELIC_SCOTLAND |
LANGUAGE_GAELIC_IRELAND |
LANGUAGE_GALICIAN |
LANGUAGE_GEORGIAN |
LANGUAGE_GERMAN |
LANGUAGE_GERMAN_SWISS |
LANGUAGE_GERMAN_AUSTRIAN |
LANGUAGE_GERMAN_LUXEMBOURG |
LANGUAGE_GERMAN_LIECHTENSTEIN |
LANGUAGE_GREEK |
LANGUAGE_GUJARATI |
LANGUAGE_HEBREW |
LANGUAGE_HINDI |
LANGUAGE_HUNGARIAN |
LANGUAGE_ICELANDIC |
LANGUAGE_INDONESIAN |
LANGUAGE_ITALIAN |
LANGUAGE_ITALIAN_SWISS |
LANGUAGE_JAPANESE |
LANGUAGE_KANNADA |
LANGUAGE_KASHMIRI |
LANGUAGE_KASHMIRI_INDIA |
LANGUAGE_KAZAK |
LANGUAGE_KHMER |
LANGUAGE_KIRGHIZ |
LANGUAGE_KONKANI |
LANGUAGE_KOREAN |
LANGUAGE_KOREAN_JOHAB |
LANGUAGE_LAO |
LANGUAGE_LATVIAN |
LANGUAGE_LITHUANIAN |
LANGUAGE_LITHUANIAN_CLASSIC |
LANGUAGE_MACEDONIAN |
LANGUAGE_MALAY |
LANGUAGE_MALAY_MALAYSIA |
LANGUAGE_MALAY_BRUNEI_DARUSSALAM |
LANGUAGE_MALAYALAM |
LANGUAGE_MALTESE |
LANGUAGE_MANIPURI |
LANGUAGE_MARATHI |
LANGUAGE_MONGOLIAN |
LANGUAGE_NEPALI |
LANGUAGE_NEPALI_INDIA |
LANGUAGE_NORWEGIAN |
LANGUAGE_NORWEGIAN_BOKMAL |
LANGUAGE_NORWEGIAN_NYNORSK |
LANGUAGE_SEPEDI |
LANGUAGE_NORTHERNSOTHO |
LANGUAGE_ORIYA |
LANGUAGE_POLISH |
LANGUAGE_PORTUGUESE |
LANGUAGE_PORTUGUESE_BRAZILIAN |
LANGUAGE_PUNJABI |
LANGUAGE_RHAETO_ROMAN |
LANGUAGE_ROMANIAN |
LANGUAGE_ROMANIAN_MOLDOVA |
LANGUAGE_RUSSIAN |
LANGUAGE_RUSSIAN_MOLDOVA |
LANGUAGE_SAMI_LAPPISH |
LANGUAGE_SANSKRIT |
LANGUAGE_SERBIAN |
LANGUAGE_CROATIAN |
LANGUAGE_SERBIAN_LATIN |
LANGUAGE_SERBIAN_CYRILLIC |
LANGUAGE_SESOTHO |
LANGUAGE_SINDHI |
LANGUAGE_SLOVAK |
LANGUAGE_SLOVENIAN |
LANGUAGE_SORBIAN |
LANGUAGE_SPANISH |
LANGUAGE_SPANISH_MEXICAN |
LANGUAGE_SPANISH_MODERN |
LANGUAGE_SPANISH_GUATEMALA |
LANGUAGE_SPANISH_COSTARICA |
LANGUAGE_SPANISH_PANAMA |
LANGUAGE_SPANISH_DOMINICAN_REPUBLIC |
LANGUAGE_SPANISH_VENEZUELA |
LANGUAGE_SPANISH_COLOMBIA |
LANGUAGE_SPANISH_PERU |
LANGUAGE_SPANISH_ARGENTINA |
LANGUAGE_SPANISH_ECUADOR |
LANGUAGE_SPANISH_CHILE |
LANGUAGE_SPANISH_URUGUAY |
LANGUAGE_SPANISH_PARAGUAY |
LANGUAGE_SPANISH_BOLIVIA |
LANGUAGE_SPANISH_EL_SALVADOR |
LANGUAGE_SPANISH_HONDURAS |
LANGUAGE_SPANISH_NICARAGUA |
LANGUAGE_SPANISH_PUERTO_RICO |
LANGUAGE_SWAHILI |
LANGUAGE_SWEDISH |
LANGUAGE_SWEDISH_FINLAND |
LANGUAGE_TAJIK |
LANGUAGE_TAMIL |
LANGUAGE_TATAR |
LANGUAGE_TELUGU |
LANGUAGE_THAI |
LANGUAGE_TIBETAN |
LANGUAGE_TSONGA |
LANGUAGE_TSWANA |
LANGUAGE_TURKISH |
LANGUAGE_TURKMEN |
LANGUAGE_UKRAINIAN |
LANGUAGE_URDU |
LANGUAGE_URDU_PAKISTAN |
LANGUAGE_URDU_INDIA |
LANGUAGE_UZBEK |
LANGUAGE_UZBEK_LATIN |
LANGUAGE_UZBEK_CYRILLIC |
LANGUAGE_VENDA |
LANGUAGE_VIETNAMESE |
LANGUAGE_WELSH |
LANGUAGE_XHOSA |
LANGUAGE_ZULU |
LANGUAGE_USER1 |
LANGUAGE_USER2 |
LANGUAGE_USER3 |
LANGUAGE_USER4 |
LANGUAGE_USER5 |
LANGUAGE_USER6 |
LANGUAGE_USER7 |
LANGUAGE_USER8 |
LANGUAGE_USER9 |
LANGUAGE_SYSTEM_DEFAULT |
LANGUAGE_PROCESS_OR_USER_DEFAULT |
LANGUAGE_USER_LATIN |
LANGUAGE_USER_ESPERANTO |
LANGUAGE_USER_MAORI |
LANGUAGE_USER_KINYARWANDA |

## Function Documentation

bool StarLanguage::getLanguageId | ( | int | id,
|  | std::string & | lang,
|  | std::string & | country
| ) |  |

returns the iso639-1 and iso3166 language code

Referenced by StarCharAttribute::StarCAttributeUInt::addTo(), and StarFormatManagerInternal::NumberFormatter::updateNumberingProperties().

## Variable Documentation

IdIsoLanguageEntry const StarLanguage::s_idIsoList[]
| static

IdIsoLanguageMap StarLanguage::s_idLanguageMap
| static